#ifndef PLUGIN_H
#define PLUGIN_H

/*Wrap it so we can use C++*/
#ifdef __cplusplus
extern "C" 
{
#endif

/*Function that tells Gimp what our plugin can do, and what parameters it takes*/
static void query (void);

/*Function that actually performs our filtering operation*/
static void run (const gchar      *name,
		 gint              nparams,
		 const GimpParam  *param,
		 gint             *nreturn_vals,
		 GimpParam       **return_vals);


#ifdef __cplusplus
}
#endif

#endif
